#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.2.0.0
visibility:           public
id:                   lsp-1.2.0.0-2eCm3HoAaXJJ3VeqnfFfSF
key:                  lsp-1.2.0.0-2eCm3HoAaXJJ3VeqnfFfSF
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  57d8c2fc54306f80e7da2245b27bac07
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.2.0.0-15hZ8oIlnBmBUgfRzgi2dp:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.2.0.0-15hZ8oIlnBmBUgfRzgi2dp:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.2.0.0-15hZ8oIlnBmBUgfRzgi2dp:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.2.0.0-15hZ8oIlnBmBUgfRzgi2dp:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.5/site-local/lsp-1.2.0.0
library-dirs:         /usr/lib/ghc-8.10.5/site-local/lsp-1.2.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.5/lsp-1.2.0.0
hs-libraries:         HSlsp-1.2.0.0-2eCm3HoAaXJJ3VeqnfFfSF
depends:
    aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY
    async-2.2.3-HtWYxLW2ntnKBaQHYE7IJT
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6 base-4.14.2.0
    bytestring-0.10.12.0 containers-0.6.4.1
    data-default-0.7.1.1-1PvF2urvLxF7Pa94frLNmw
    dependent-map-0.4.0.0-ETsRZ6XJfjGHai5HZeLGn2 directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.2.0-IDkVQhKLyXDF7itJntNZ2M
    hslogger-1.3.1.0-3ObpHgfbfIE1eZU1DZuCrC
    lens-5.0.1-35rFO49duny9UmEBJRCnDB
    lsp-types-1.2.0.0-15hZ8oIlnBmBUgfRzgi2dp mtl-2.2.2
    network-uri-2.6.4.1-AJEy95J8Z3N4HoBtLbmjVO
    random-1.2.0-FYrBsLYhb8t9oQNjLyUagP
    scientific-0.3.7.0-9YboVbL14mb3RAuy75saJh
    sorted-list-0.2.1.0-9nmT4tHEEdz1Ro1gJtKttX stm-2.5.0.1 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-1ibY1oF6Hkc5ZYjZ4yW3Lp
    unordered-containers-0.2.14.0-1OFWlQlrCvvLaIazZ0Uw3i
    uuid-1.3.15-2y6lIN8qBQWLJCuVHjplp3

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

